## cbmplugs 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for cbmplugs
-# Copyright (C) 2002-2004 David Weinehall
+# Copyright (C) 2002-2006 David Weinehall
 
 PRGNAME := cbmplugs
-VERSION := 1.1.1
+VERSION := 1.2.0
 
 EXTENSION12 := -1.2
 EXTENSION20 := -2.0
@@ -57,7 +57,7 @@
 PLUGINS	= \
 	advartstudio afli artist64 artstudio blazingpaddles drazpaint	\
 	eafli fli64 imagesystem interpainthires interpaintlores koala	\
-	rain shfli shflixl sprite suxx twilight vidcom64
+	rain shfli shflixl sprite suxx twilight vidcom64 hws
 
 PALETTES = \
 	Commodore64.gpl
