## cbmplugs 1.2.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for cbmplugs
-# Copyright (C) 2002-2006 David Weinehall
+# Copyright © 2002-2007 David Weinehall
 
 PRGNAME := cbmplugs
-VERSION := 1.2.0
+VERSION := 1.2.1
 
 EXTENSION12 := -1.2
 EXTENSION20 := -2.0
@@ -21,9 +21,10 @@
 ifdef LOCAL_PLUGINS
 GIMP_INSTALL_BIN := --install-bin
 GIMP_UNINSTALL_BIN := --uninstall-bin
+# Use Makefile as plugin to install, to be sure the file exists
 PALETTE_DIR := \
-	`$(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
-	sed -e 's/.* \(.*\)\/Makefile/\1/;s/plug-ins/palettes/'`
+	$$($(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
+	tail -n 1 | sed -e 's/.* \(.*\)\/Makefile/\1/;s/plug-ins/palettes/')
 else
 GIMP_INSTALL_BIN := --install-admin-bin
 GIMP_UNINSTALL_BIN := --uninstall-admin-bin
@@ -31,8 +32,8 @@
 
 # Use Makefile as plugin to install, to be sure the file exists
 PLUGIN_DIR := \
-	`$(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
-	tail -n 1 | sed -e 's/.* \(.*\)\/Makefile/\1/'`
+	$$($(GIMPTOOL) --dry-run $(GIMP_INSTALL_BIN) Makefile | \
+	tail -n 1 | sed -e 's/.* \(.*\)\/Makefile/\1/')
 
 AM_CFLAGS += `$(GIMPTOOL) --cflags-noui`
 # AM_CFLAGS += -Werror
@@ -60,7 +61,7 @@
 	rain shfli shflixl sprite suxx twilight vidcom64 hws
 
 PALETTES = \
-	Commodore64.gpl
+	Commodore64.gpl DTV.gpl
 
 INCLUDES = cbmplugs.c
 HEADERS = cbmplugs.h
@@ -70,20 +71,6 @@
 
 $(PLUGINS): %: %.c $(INCLUDES) $(HEADERS)
 	$(CC) $(CFLAGS) $(AM_CFLAGS) -o $@$(EXTENSION) $< $(INCLUDES) $(AM_LDFLAGS)
-	
-.PHONY: uninstall-plugins
-uninstall-plugins:
-	for plugin in $(PLUGINS); do					\
-		$(RM) $(PLUGIN_DIR)/$$plugin$(EXTENSION);		\
-		$(RM) $(PLUGIN_DIR)/$$plugin$(EXTENSION);		\
-	done
-
-.PHONY: uninstall-palettes
-uninstall-palettes:
-	$(RM) $(PALETTE_DIR)/$(PALETTES)
-
-.PHONY: uninstall
-uninstall: uninstall-plugins uninstall-palettes
 
 .PHONY: install-plugins
 install-plugins:
@@ -95,10 +82,27 @@
 .PHONY: install-palettes
 install-palettes:
 	$(INSTALL_DIR) $(PALETTE_DIR)					&&\
-	$(INSTALL_DATA) $(PALETTES) $(PALETTE_DIR)
+	for palette in $(PALETTES); do					\
+		$(INSTALL_DATA) $$palette $(PALETTE_DIR);		\
+	done
 
 .PHONY: install
 install: install-plugins install-palettes
+
+.PHONY: uninstall-plugins
+uninstall-plugins:
+	for plugin in $(PLUGINS); do					\
+		$(RM) $(PLUGIN_DIR)/$$plugin$(EXTENSION);		\
+	done
+
+.PHONY: uninstall-palettes
+uninstall-palettes:
+	for palette in $(PALETTES); do					\
+		$(RM) $(PALETTE_DIR)/$$palette;				\
+	done
+
+.PHONY: uninstall
+uninstall: uninstall-plugins uninstall-palettes
 
 .PHONY: clean
 clean:
@@ -110,7 +114,7 @@
 .PHONY: archive
 archive: clean
 	$(RM) ../$(ARCHIVE).tar.gz					&&\
-	$(RM) -r $(ARCHIVE) 						&&\
+	$(RM) -r $(ARCHIVE)						&&\
 	$(MKDIR) $(ARCHIVE)						&&\
 	find . -maxdepth 1 -path '*/$(ARCHIVE)' -prune -o		\
 		-not -name '.' -exec cp -a {} $(ARCHIVE) \;		&&\
