=== debian/changelog ===
cbmplugs (1.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format. (Closes: #1007558)

 -- Bastian Germann <bage@debian.org>  Fri, 09 Dec 2022 23:23:25 +0100

cbmplugs (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957069)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 14 Jan 2021 20:01:23 +0000

cbmplugs (1.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Don't ignore build failures
  * Bump Standards-Version to 3.8.3.0 (No changes needed)
  * Use debhelper v7
  * Convert debian/copyright to the new format

 -- David Weinehall <tao@debian.org>  Tue, 01 Dec 2009 17:35:35 +0200

cbmplugs (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use pkg-config in Makefile instead of relying on hard-coded sed magic
    to find out gimp data dir. Patch from Tzafrir Cohen. Fix FTBFS.
    (Closes: #518745)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 16 Sep 2009 13:20:29 +0200

cbmplugs (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- David Weinehall <tao@debian.org>  Tue, 19 Jun 2007 16:21:23 +0100

cbmplugs (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- David Weinehall <tao@debian.org>  Sun,  4 Jun 2006 21:14:11 +0300

cbmplugs (1.1.1-1) unstable; urgency=low

  * New upstream release
    | Fixes FTBFS with latest gimptool (Closes: #245512)
  * Make sure to build with pbuilder, to avoid dependencies on
    packages from experimental (Closes: #245429)

 -- David Weinehall <tao@debian.org>  Mon, 26 Apr 2004 13:24:07 +0300

cbmplugs (1.1.0-2) unstable; urgency=low

  * Added CC = gcc to debian/rules
    | Fixes policy violation

 -- David Weinehall <tao@debian.org>  Fri,  9 Apr 2004 20:24:06 +0200

cbmplugs (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Recompiled against libgimp2.0 (Closes: #242647)
  * Modified to use debhelper

 -- David Weinehall <tao@debian.org>  Thu,  8 Apr 2004 22:44:20 +0200

cbmplugs (1.0.2-4) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.27+2.0pre4

 -- David Weinehall <tao@debian.org>  Mon,  8 Mar 2004 01:06:58 +0100

cbmplugs (1.0.2-3) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.26+2.0pre3

 -- David Weinehall <tao@debian.org>  Fri,  6 Feb 2004 01:36:21 +0100

cbmplugs (1.0.2-2) unstable; urgency=low

  * s/gimptool-1.3/gimptool-2.0/ to fix FTBFS with latest gimp-1.3

 -- David Weinehall <tao@debian.org>  Wed, 21 Jan 2004 11:38:56 +0100

cbmplugs (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Recompiled against libgimp1.3 1.3.24+2.0pre1
  * Improved debian/copyright

 -- David Weinehall <tao@debian.org>  Tue, 13 Jan 2004 12:43:04 +0100

cbmplugs (1.0.1-7) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.23

 -- David Weinehall <tao@debian.org>  Sat,  6 Dec 2003 02:44:08 +0100

cbmplugs (1.0.1-6) unstable; urgency=low

  * Lowercase first letter of short description

 -- David Weinehall <tao@debian.org>  Sun,  9 Nov 2003 23:31:10 +0100

cbmplugs (1.0.1-5) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.22
  * Add md5sums

 -- David Weinehall <tao@debian.org>  Sun,  9 Nov 2003 02:17:04 +0100

cbmplugs (1.0.1-4) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.21

 -- David Weinehall <tao@debian.org>  Tue,  7 Oct 2003 22:13:25 +0200

cbmplugs (1.0.1-3) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.20

 -- David Weinehall <tao@debian.org>  Wed, 10 Sep 2003 09:23:15 +0200

cbmplugs (1.0.1-2) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.19

 -- David Weinehall <tao@debian.org>  Mon,  1 Sep 2003 18:32:08 +0200

cbmplugs (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.6.1.0 (No changes needed)

 -- David Weinehall <tao@debian.org>  Tue, 19 Aug 2003 20:35:30 +0200

cbmplugs (1.0.0.0-2) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.17

 -- David Weinehall <tao@debian.org>  Tue, 29 Jul 2003 19:26:45 +0200

cbmplugs (1.0.0.0-1) unstable; urgency=low

  * Recompiled against libgimp1.2 1.2.5
  * Fixed typos in changelog
  * Append '.0' to version-number to ensure uploading of tarball

 -- David Weinehall <tao@debian.org>  Tue, 22 Jul 2003 23:40:36 +0200

cbmplugs (1.0.0-7) unstable; urgency=low

  * Bump Standards-Version to 3.6.0 (No changes needed)

 -- David Weinehall <tao@debian.org>  Mon, 14 Jul 2003 20:28:25 +0200

cbmplugs (1.0.0-6) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.16

 -- David Weinehall <tao@debian.org>  Sun, 29 Jun 2003 11:22:23 +0200

cbmplugs (1.0.0-5) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.15
  * Bump Standards-Version to 3.5.10 (No changes needed)

 -- David Weinehall <tao@debian.org>  Thu, 19 Jun 2003 21:19:30 +0200

cbmplugs (1.0.0-4) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.14

 -- David Weinehall <tao@debian.org>  Wed, 16 Apr 2003 09:14:26 +0200

cbmplugs (1.0.0-3) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.13
  * Bump Standards-Version to 3.5.9.0 (No changes needed)

 -- David Weinehall <tao@debian.org>  Wed,  2 Apr 2003 16:53:54 +0200

cbmplugs (1.0.0-2) unstable; urgency=low

  * Recompiled against libgimp1.3 1.3.12

 -- David Weinehall <tao@debian.org>  Sun,  2 Mar 2003 01:21:10 +0100

cbmplugs (1.0.0-1) unstable; urgency=low

  * Initial Release (Closes #181822)

 -- David Weinehall <tao@debian.org>  Thu, 20 Feb 2003 23:15:30 +0100
