=== debian/control ===
Source: cbmplugs
Section: graphics
Priority: optional
Maintainer: David Weinehall <tao@debian.org>
Build-Depends: debhelper (>= 7.0.1), libgimp2.0-dev
Standards-Version: 3.8.3

Package: gimp-cbmplugs
Architecture: any
Depends: gimp, ${shlibs:Depends}, ${misc:Depends}
Replaces: gimp1.2-cbmplugs, gimp1.3-cbmplugs
Conflicts: gimp1.2-cbmplugs, gimp1.3-cbmplugs
Description: plugins for The GIMP to import/export Commodore 64 files
 This set of plugins provides The GIMP with support for importing from
 and exporting to several different file-formats used on the Commodore 64.
 A palette that tries to imitate the colours of the Commodore 64 as closely
 as possible is also included.
