=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for cbmplugs using debhelper v7.
# Copyright © 2009 David Weinehall <tao@debian.org>

%:
	dh $@
