=== debian/watch ===
# watch control file for uscan
version=2
http://www.acc.umu.se/~tao/files/linux/cbmplugs/cbmplugs-(.*)\.tar\.gz	debian	uupdate
